FlowStackSnapshot
Keywords: net.corda.core.flows.FlowStackSnapshot class
Date: 2023-09-18

net.corda.core.flows

## Class FlowStackSnapshot

- net.corda.core.flows.FlowStackSnapshot

-     public class FlowStackSnapshot

  Main data object representing snapshot of the flow stack, extracted from the Quasar stack.

- - ### Constructor Detail

    - #### FlowStackSnapshot

          public FlowStackSnapshot(@NotNull
                                   java.time.Instant time,
                                   @NotNull
                                   java.lang.String flowClass,
                                   @NotNull
                                   java.util.List<net.corda.core.flows.FlowStackSnapshot.Frame> stackFrames)

      Main data object representing snapshot of the flow stack, extracted from the Quasar stack.

  - ### Method Detail

    - #### getTime

          @NotNull
          public java.time.Instant getTime()

    - #### getFlowClass

          @NotNull
          public java.lang.String getFlowClass()

    - #### getStackFrames

          @NotNull
          public java.util.List<net.corda.core.flows.FlowStackSnapshot.Frame> getStackFrames()

    - #### component1

          @NotNull
          public java.time.Instant component1()

    - #### component2

          @NotNull
          public java.lang.String component2()

    - #### component3

          @NotNull
          public java.util.List<net.corda.core.flows.FlowStackSnapshot.Frame> component3()

    - #### copy

          @NotNull
          public FlowStackSnapshot copy(@NotNull
                                                 java.time.Instant time,
                                                 @NotNull
                                                 java.lang.String flowClass,
                                                 @NotNull
                                                 java.util.List<net.corda.core.flows.FlowStackSnapshot.Frame> stackFrames)

      Main data object representing snapshot of the flow stack, extracted from the Quasar stack.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Main data object representing snapshot of the flow stack, extracted from the Quasar stack.

    - #### hashCode

          public int hashCode()

      Main data object representing snapshot of the flow stack, extracted from the Quasar stack.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Main data object representing snapshot of the flow stack, extracted from the Quasar stack.